#
#	Apple Macintosh Developer Technical Support
#
#	AppleTalk GetZoneList Sample Application
#
#	PGetZoneList
#
#	PGetZoneList.make	-	Make Source
#
#	Copyright  1988 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	1.0					11/88
#				1.1					10/89
#
#	Components:	GetZoneList.p		October 1, 1989
#				GetZoneList.c		October 1, 1989
#				GetZoneList.r		October 1, 1989
#				PGetZoneList.make	October 1, 1989
#				CGetZoneList.make	October 1, 1989
#
#	Requirements:
#				UFailure.p			November 1, 1988
#				UFailure.inc1.p		November 1, 1988
#				UFailure.a			November 1, 1988
#
#	GetZoneList is a sample application that uses
#	AppleTalk ATP and ZIP to obtain a list of zones
#	on an AppleTalk internet.
#
#	GetZoneList also demonstrates using a signal, or
#	failure-catching mechanism to recover from error
#	situations.
#
#	GetZoneList is based on MACDTS Sample.p. For more
#	description and explanantion of the non-example
#	specific areas of this application, please refer to
#	either Sample.p or TESample.p.
#

PObjs			= GetZoneList.p.o 
					UFailure.p.o 
					UFailure.a.o 
					"{Libraries}"Runtime.o 
					"{Libraries}"Interface.o 
					"{PLibraries}"PasLib.o

UFailure.p.o		UFailure.inc1.p PGetZoneList.make

GetZoneList.p.o		GetZoneList.p PGetZoneList.make

PGetZoneList		{PObjs} PGetZoneList.make
					Link -o {Targ} {PObjs}
					SetFile {Targ} -t APPL -c '????' -a B

PGetZoneList		GetZoneList.r PGetZoneList.make
					Rez -rd -o {Targ} GetZoneList.r -append
